/**
 * 
 */
package org.springframework.samples.kyuriboard.web.spring;

import java.io.Serializable;

import org.springframework.samples.kyuriboard.domain.User;

/**
 * @author DAMI(archy712@naver.com)
 *
 */
public class UserForm implements Serializable {

	/**
	 * 직렬화 번호
	 */
	private static final long serialVersionUID = 1L;
	
	/**
	 * User 객체
	 */
	private User user;
	
	/**
	 * 생성모드인지 수정모드인지 결정
	 */
	private boolean newUser;
	
	
	/**
	 * 비밀번호 확인
	 */
	private String repeatedPasswd;
	
	/**
	 * 디폴트 생성자
	 *
	 */
	public UserForm() {
		this.user = new User();
		this.newUser = true;
	}
	
	/**
	 * 인자 생성자
	 * @param user User객체
	 */
	public UserForm(User user) {
		this.user = user;
		this.newUser = false;
	}

	/**
	 * @return the newUser
	 */
	public boolean isNewUser() {
		return newUser;
	}

	/**
	 * @return the user
	 */
	public User getUser() {
		return user;
	}

	/**
	 * @return the repeatedPasswd
	 */
	public String getRepeatedPasswd() {
		return repeatedPasswd;
	}

	/**
	 * @param repeatedPasswd the repeatedPasswd to set
	 */
	public void setRepeatedPasswd(String repeatedPasswd) {
		this.repeatedPasswd = repeatedPasswd;
	}	
	
	

}
